%define name kpowersave
%define version 0.6.2
%define release %mkrel 3

Summary: KDE Frontend to powersave Package
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/powersave/%{name}-%{version}.tar.bz2

License: GPL
Group: Graphical desktop/KDE
Url: http://powersave.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpowersave-devel, hal-devel, libdbus-qt-1-devel, kdelibs-devel
BuildRequires: autoconf2.5 automake1.8
%if %mdkversion > 200600
BuildRequires:	libxscrnsaver-devel libxtst-devel
%endif

Requires: powersave >= 0.12.18, SysVinit

%description
The package provides battery monitoring and suspend/standby triggers.
It is based on the powersave package and therefore supports APM and
ACPI. See powersave package for additional features such as CPU frequency 
scaling(SpeedStep and PowerNow) and more.

Authors:
--------
    Thomas Renninger (trenn@suse.de, mail@renninger.de)
    Danny Kukawka (dkukawka@suse.de, danny.kukawka@web.de)

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_bindir}/%{name}
%{_datadir}/config/kpowersaverc
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/apps/%{name}
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/icons/*.png
%{_datadir}/applications/kde/kpowersave.desktop
%doc %{_docdir}/HTML/*/kpowersave
%{_libdir}/kde3/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
%make -f admin/Makefile.common cvs
%configure --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "System/Monitoring" $RPM_BUILD_ROOT%{_datadir}/applications/kde/kpowersave.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}




%changelog
* Mon Sep 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-04 13:56:06 (59760)
- Rebuild

* Thu Aug 31 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-31 13:30:55 (58970)
- Fix buildrequires

* Sun Aug 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-06 17:23:40 (53496)
- Fix requires

* Sun Aug 06 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-08-06 17:13:28 (53489)
- 0.6.2

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-04 19:54:58 (52765)
- Rebuild against new DBUS

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-04 19:50:09 (52763)
- Import kpowersave

* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdv2007.0
- Rebuild for new menu && extension
- Use macros for icons

* Mon May 15 2006 Lenny Cartier <lenny@mandriva.com> 0.6.1-1mdk
- 0.6.1

* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Rebuild to generate categories

* Wed Apr 19 2006 Couriousous <couriousous@mandriva.org> 0.6.0-1mdk
- Upload into cooker

